Bug 443058 - (CVE-2007-6715) CVE-2007-6715 firefox: crash on fuzzed gif image
CVE-2007-6715 firefox: crash on fuzzed gif image
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080417,...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 09:28 EDT by Tomas Hoger
Modified: 2008-04-23 02:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 02:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crasher gif (46.66 KB, image/gif)
2008-04-18 09:31 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2008-04-18 09:28:28 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6715 to the following vulnerability:

Mozilla Firefox allows remote attackers to cause a denial of service
(crash) via crafted image, as demonstrated by the zzuf lol-firefox.gif
test case.

References:
https://bugzilla.mozilla.org/show_bug.cgi?id=424333
http://sam.zoy.org/blog/2007-01-16-exposing-file-parsing-vulnerabilities
http://sam.zoy.org/zzuf/
http://www.securityfocus.com/bid/27243
http://hboeck.de/archives/578-How-long-does-it-take-to-fix-a-crash-bug.html
Comment 1 Tomas Hoger 2008-04-18 09:31:17 EDT
Created attachment 302884 [details]
Crasher gif

Source: http://sam.zoy.org/zzuf/lol-firefox.gif
Comment 2 Josh Bressers 2008-04-18 10:08:44 EDT
Upstream does not consider this to be a security issue.  It is being treated as
a crash only.  See the Mozilla bug for more details.
Comment 3 Tomas Hoger 2008-04-23 02:50:07 EDT
Vendor statement was published on Nist NVD site:

Red Hat does not consider this flaw a security issue. This flaw is not
exploitable beyond causing the web browser to crash.

http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-6715

Note You need to log in before you can comment on or make changes to this bug.